"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactHooksPlugin = void 0;
const logger_1 = require("./logger");
const decorator_1 = require("./decorator");
const service_1 = require("./service");
class ReactHooksPlugin {
    constructor(typescript) {
        this.typescript = typescript;
    }
    create(info) {
        this.logger = new logger_1.LanguageServiceLogger(info);
        this.logger.log("I'm getting set up now!");
        return new decorator_1.TemplateLanguageServiceProxy(new service_1.CustomizedLanguageService(info, this.typescript, this.logger)).decorate(info.languageService);
    }
}
exports.ReactHooksPlugin = ReactHooksPlugin;
//# sourceMappingURL=plugin.js.map